aboutsummaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
authorToni <matzeton@googlemail.com>2024-02-10 13:33:56 +0100
committerGitHub <noreply@github.com>2024-02-10 13:33:56 +0100
commitf4d7aa45febd58bfe691301e1c02f988bf59c65b (patch)
treea757fc09a1b4af8384c017204ef51033e8ef370b /utils
parentad25affcb7e40e64fa06c5f63e2eab0f12c7f517 (diff)
Improved Polish gambling sites fetch script. (#2315)
* fails quite often in the CI, so ignore potential xmllint error Signed-off-by: Toni Uhlig <matzeton@googlemail.com>
Diffstat (limited to 'utils')
-rwxr-xr-xutils/gambling_sites_download.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/utils/gambling_sites_download.sh b/utils/gambling_sites_download.sh
index d7600a76b..93eb81549 100755
--- a/utils/gambling_sites_download.sh
+++ b/utils/gambling_sites_download.sh
@@ -13,7 +13,8 @@ DOMAINS="$(curl -s 'https://www.gamingcommission.be/en/gaming-commission/illegal
is_str_empty "${DOMAINS}" "Please check gambling sites URL and sed REGEX."
printf '(2) %s\n' "Downloading Gambling Sites (Poland)"
-DOMAINS_PL="$(curl -s https://hazard.mf.gov.pl/api/Register | xmllint --xpath "/*[local-name(.)='Rejestr']/*[local-name(.)='PozycjaRejestru']/*[local-name(.)='AdresDomeny']/text()" -)"
+DOMAINS_PL="$(curl -s https://hazard.mf.gov.pl/api/Register)"
+DOMAINS_PL="$(echo "${DOMAINS_PL}" | xmllint --xpath "/*[local-name(.)='Rejestr']/*[local-name(.)='PozycjaRejestru']/*[local-name(.)='AdresDomeny']/text()" - || true)"
is_str_empty "${DOMAINS_PL}" "Please check gambling sites URL and XPath."
echo "${DOMAINS}" "${DOMAINS_PL}" | sort | uniq >${LIST}